# EmbeddedML

**EmbeddedML** is an optimized and lightweight machine learning library designed specifically for embedded systems (such as Raspberry Pi, Jetson Nano, Orange Pi, etc.).  
This library implements core ML algorithms with minimal dependencies, making it suitable for resource-constrained environments.

---

## 🚀 Features

- ✔️ Support for classic machine learning algorithms:
  - SVM (Support Vector Machines)
  - KNN (K-Nearest Neighbors)
  - Naive Bayes
  - Logistic Regression
  - Simple & Multiple Linear Regression
  - Polynomial Regression
  - K-Means Clustering
- 📊 Evaluation Metrics included (Accuracy, Precision, Recall, etc.)
- 🧹 Preprocessing utilities
- 🐍 Pure Python implementation – no external dependencies
- 🪶 Lightweight and fast

---

## 📦 Installation

Install the package via `pip`:

```bash
pip install EmbeddedML
